package org.iwsec.pws.pwscup2016;

import java.text.DateFormat;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Collection;

public class Utility {
	protected Utility() {

	}

	/**
	 * c ̗vf separator pĘAԂB
	 */
	static public StringBuilder concat(Collection<?> c, String separator) {
		StringBuilder builder = new StringBuilder();
		for (Object o : c) {
			String s = o.toString();
			builder.append(separator);
			builder.append(s);
		}
		if (builder.length() > 0) {
			builder.delete(0, separator.length());
		}
		return builder;
	}

	/**
	 * String.indexOf(separator) g s ؂ʂ String  ArrayList ɂĕԂB
	 * s 󕶎񂾂Ƃ̂݋ƂȂB
	 * null ͕ԂȂB
	 */
	static public ArrayList<String> separate(String s, String separator) {
		ArrayList<String> stringList = new ArrayList<String>();
		if (s.isEmpty()) {
			return stringList;
		}
		int separatorLength = separator.length();
		int lastIndex = 0;
		int index;
		while ((index = s.indexOf(separator, lastIndex)) >= 0) {
			stringList.add(s.substring(lastIndex, index));
			lastIndex = index + separatorLength;
		}
		stringList.add(s.substring(lastIndex));
		return stringList;
	}

	static public long parseDate(String ymd) {
		DateFormat dateFormat = new SimpleDateFormat("yyyy/M/d");
		dateFormat.setLenient(false);
		try {
			return dateFormat.parse(ymd).getTime();
		}
		catch (ParseException e) {
			throw new IllegalArgumentException(e);
		}
	}

}
